<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Visualizar Asignaciones</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Visualizar asignaciones de la sucursal en tu territorio</strong>
        <div class="supSec">
          <strong
            >Trimestre:{{ this.getTrimestres() }} / Año:
            {{ anio.getFullYear() }}</strong
          >
        </div>
      </div>
    </div>
    <!-- termina Encabezado -->
    <div class="contSecc">
      <div class="titSec">
        <h2>
          Asignaciones del trimestre. Aquí puedes modificar asignaciones y
          añadir nuevas.
        </h2>
      </div>
    </div>
    <v-card>
      <tabla-asignacion-gerente ref="tabla"></tabla-asignacion-gerente>
    </v-card>
  </div>
</template>

<script>
import TablaAsignacionGerente from "../components/TablaAsignacionGerente.vue";
export default {
  name: "Supervision_Mtto_Asignacion_Masiva",
  components: {
    TablaAsignacionGerente,
  },
  data() {
    return {
      quarter: "",
      trimestres: [
        { trimestre: "Enero-Marzo", id: 0 },
        {
          trimestre: "Abril-Junio",
          id: 1,
        },
        {
          trimestre: "Julio-Septiembre",
          id: 2,
        },
        {
          trimestre: "Octubre-Diciembre",
          id: 3,
        },
      ],
      d: new Date(),
      anio: new Date(),
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Asignaciones",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_franquicia_asignaciones_home_asignacion",
          },
        },
        {
          text: "Visor Asignaciones",
          disabled: true,
        },
      ],
    };
  }, //fin
  methods: {
    getTrimestres() {
      this.quarter = Math.ceil(this.d.getMonth() / 3);
      if (this.quarter === this.trimestres[this.quarter].id) {
        return this.trimestres[this.quarter].trimestre;
      }
    },
  },
};
</script>

<style></style>
